.badge-viewer
{
    background-color: #f7f7f7;
    width: 100%;
    padding: 24px;
    border-top: 1px solid #e4e4e4;
    border-bottom: 1px solid #e4e4e4;
    overflow: auto;
    width: inherit;

    &:not(:first-child) {
        margin-top: 24px;
    }

    > .header
    {
        font-family: "Roboto", arial, sans-serif;
        font-size: 20px;
        color: rgb(131, 127, 127);
        margin-bottom: 24px;
    }

    /* Filter */

    .filters:after {
        clear: both;
        content: " ";
        display: block;
    }

    .filter {
        margin-bottom: 16px;
        float: left;

        &:not(:first-child) {
            margin-left: 16px;
        }

        span {
            margin-right: 15px;
            padding-top: 5px;
            font-family: "Roboto", arial, sans-serif !important;
            color: grey;
        }

        select {
            width: 155px;
            color: rgb(134, 134, 134);
            display: block;
            margin-top: 5px;
            padding: 4px 6px;
            font-size: 14px;
            line-height: 20px;
            border-radius: 4px;
            background-color: #ffffff;
            border: 1px solid #cccccc;
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
            transition: border linear 0.2s, box-shadow linear 0.2s;
        }
    }

    /* Badge */

    .custom-badge {
        float: left;
        width: 213px;
        background-color: white;
        border-radius: 2px;
        border-bottom: 1px solid #d9d9d9;
        border-right: 1px solid #d9d9d9;
        cursor: pointer;
        margin-right: 16px;
        margin-bottom: 16px;

        &:hover {
            border: 3px solid #d9d9d9;
            margin-top: -3px;
            margin-left: -3px;
            margin-bottom: 14px;
            margin-right: 14px;
            width: 218px;
        }

        /* The image part of the badge */

        .image-holder {
            width: 80px;
            height: 80px;
            position: relative;
            border-top-left-radius: 2px;
            border-bottom-left-radius: 2px;
            background-color: #a4c2fc;
            font-size: 50px !important;
            color: #4476e4;
            text-align: center;
            line-height: 80px;
        }

        .image {
            text-align: center;
            width: inherit;
            opacity: 0.4;
            display: inline;

            &:before {
                font-weight: normal;
                font-style: normal;
                text-decoration: inherit;
            }
        }

        &.confirmed .image-holder {
            color: #09ae01;
            background-color: #bdfebd;

            .image:before {
                font-family: FontAwesome;
                content: \f05d;
            }
        }

        &.unconfirmed .image-holder {
            color: #c3ca02;
            background-color: #ecfea1;
        }

        &.danger .image-holder {
            color: #ED4848;
            background-color: #FEA1A1;
        }

        /* The name part of the badge */

        .name-badge {
            float: right;
            width: 133px;
            font-family: "Roboto", arial, sans-serif;
            font-size: 11px;
            font-weight: bold;
            display: table;
            line-height: normal;
            height: 80px;
            position: relative;

            > span {
                display: table-cell;
                vertical-align: middle;
                padding-left: 16px;
                line-height: 16px;

                > span {
                    display: block;
                }
            }
        }

        /* The controls that are shown at the top right corner of the badge */

        .controls {
            display: none;
            top: 3px;
            right: 6px;
            font-size: 20px;
            font-family: "Ionicons";
            font-weight: normal;
            line-height: 1;
            float: right;
            position: absolute !important;

            .confirm
            {
                &:before {
                    color: #a9f0a6;
                    content: \f3ff;
                }

                &:hover:before {
                    color: rgb(4, 187, 4);
                }
            }

            .remove {
                &:before {
                    color: #F0A6A6;
                }

                &:hover:before {
                    color: rgba(255, 115, 115, 1);
                }
            }

            .info {
                &:before {
                    color: rgba(152, 159, 223, 0.43);
                }

                &:hover:before {
                    color: rgba(152, 159, 223, 1);
                }
            }
        }

        &:hover .controls {
            display: flex;

            > div {
                margin-left: 5px;
                float: left;
            }
        }
    }

    /*  Circle badge  */

    .circle {
        height: 80px;
        width: 80px;
        border-radius: 50%;
        background-color: white;
        float: left;
        border: 1px solid #d9d9d9;
        position: relative;
        cursor: pointer;

        &:hover {
            border: 3px solid #d9d9d9;
            margin-top: -2px;
            margin-left: -2px;
            margin-bottom: -2px;
        }

        .latitude-cross {
            background-color: rgb(178, 178, 178);
            height: 43px;
            margin-top: 19px;
            width: 3px;
            margin-left: 39px;
            position: absolute;
        }

        .longitude-cross {
            background-color: rgb(178, 178, 178);
            height: 3px;
            margin-top: 37px;
            width: 43px;
            margin-left: 19px;
            position: absolute;
        }
    }
}










